Subject: Re: [PATCH v3 0/5] Expanding tabs in "git log" output

From: Junio C Hamano <[email-masked]>
Date: Fri, 25 Mar 2016 09:25:04 -0700

Torsten Bögershausen <[email-masked]> writes:

> On 2016-03-24 19.22, Junio C Hamano wrote:
>> Torsten Bögershausen <[email-masked]> writes:
>> 
>>> Would it make sense to have
>>> git log --tab-size=8
>>> (or similar)
>>>
>>> and add a config variable like
>>> git config ui.logtabsize
>>> which is 0 by default to get the old handling and 8 for the new one ?
>> 
>> That may be a good approach (I agree with you that --tab-size is not
>> the best name).  Want to try it as a replacement?
>
> May be log.tabwidth ?

The reason why I thought "--tab-size=4" is not the best name is
because it only states that the user prefers a non-standard tab
stops that are every 4 display spaces, and does not say what we
with do that information, i.e. it does not hint "We expand tabs
to spaces according to this setting" in its name.

I think log.tabwidth shares the same characteristics.